# Tips and tricks

## Some common software

From Chimera Linux repositories :
```
$ doas apk add firefox gimp libreoffice libreoffice-lang_<your-language>
```

From Flathub :

* VLC
* VSCodium

## First-Time Git Setup

```
$ git config --global user.name "John Doe"
$ git config --global user.email johndoe@example.com
```

## Colored bash prompts

For users :
```
$ echo -e "if [ -f ~/.bashrc ];\nthen\n\t. ~/.bashrc;\nfi" > .bash_profile
$ echo "PS1='\[\e[32;1m\]\u@\H\[\e[39m\]:\[\e[95m\]\w\[\e[39m\]$ \[\e[0m\]'" > .bashrc
```

For the root account :
```
# echo -e "if [ -f ~/.bashrc ];\nthen\n\t. ~/.bashrc;\nfi" > /root/.bash_profile
# echo "PS1='\[\e[91;1m\]\u\[\e[91m\]@\[\e[91m\]\H\[\e[39m\]:\[\e[95m\]\w\[\e[39m\]# \[\e[0m\]'" > /root/.bashrc
```

> You could use [this website](https://bash-prompt-generator.org) if you want to easily customize your prompts.
