# UFW configuration

To enable UFW :
```
# dinitctl enable ufw
# ufw enable
```

Deny all incoming traffic by default, allow outgoing :
```
# ufw default deny incoming
# ufw default allow outgoing
```

Open needed ports, here an example with `SSH` :
```
# ufw allow 22
```

You may also limit SSH connections against brute-force :
```
# ufw limit ssh
```

Then reload UFW :
```
# ufw reload
```
